PR(1)

NAZWA
pr - skonwertuj pliki tekstowe do drukowania

SKŁADNIA
pr [opcja...] [plik...]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo pr
lub
    info pr.

Ta strona podręcznika opisuje polecenie pr w wersji GNU.

pr wypisuje na standardowe wyjście zawartość plików tekstowych podanych w linii poleceń, dzieląc ją na strony i opcjonalnie w formacie wielokolumnowym. Pliki mogą być scalane, wypisywane wszystkie równocześnie, po jednym w kolumnie. Jeśli nie podano żadnych plików, albo napotkano nazwę pliku '-', to czytane jest standardowe wejście.

Domyślnie, na każdej stronie wypisywany jest 5-linijkowy nagłówek: dwie puste linie, linia z datą, nazwą pliku i numerem strony i dwie kolejne puste linie. Tworzona jest też złożona z 5 linii stopka. Przy opcji -F tworzony jest nagłówek 3-linijkowy: początkowe dwie puste linie są pomijane, nie jest używana stopka. Domyślna długość strony w obu przypadkach wynosi 66 linii. Linia tekstu z nagłówkiem zajmuje całą szerokość strony i ma postać `yyyy-mm-dd HH:MM łańcuch Page nnnn'. Łańcuch nagłówka jest centrowany.

Znaki wysuwu strony (FF) w wejściu powodują łamanie strony w wyniku. Powtórzone znaki zmiany strony dają puste strony.

Kolumny tekstu mają jednakową szerokość, rozdzielone są opcjonalnym łańcuchem (domyślnie spacją). Przy tworzeniu wyjścia wielokolumnowego, linie będą zawsze obcinane do zadanej szerokości strony (PAGE_WIDTH), domyślnie 72, chyba że zostanie użyta opcja -J. Przy wyniku jednokolumnowym domyślnie nie zachodzi obcinanie linii. W tym przypadku do ucięcia linii należy użyć opcji -W.

Od wersji 1.22i:
Niektóre opcje podawane małymi literami (-s, -w) zostały przedefiniowane w celu uzyskania lepszej zgodności z POSIX. Wyjście uzyskiwane z niektórych opcji zostało przystosowane do innych UNIX-ów. Należy się pogodzić z naruszeniem zgodności wstecznej.

Wprowadzono nieco nowych opcji podawanych dużymi literami (-J, -S, -W), służących do wyłączania nieoczekiwanych kolizji opcji podawanych małymi literami. Opcja -N i drugi argument ostatnia opcji +pierwsza oferują większą elastyczność. Precyzyjna obsługa ustawień zmiany strony w plikach wejściowych wymaga opcji -T.

Opcje o dużych literach mają przewagę nad opcjami wyrażanymi małymi literami.

Niektóre z argumentów opcji (porównaj -s, -S, -e, -i, -n) nie mogą być podawane odsunięte od poprzedzającej je litery opcji (już ustanowiono w specyfikacji POSIX).

OPCJE

+pierwsza[:ostatnia], --pages=pierwsza[:ostatnia]
    Zaczyna wypisywanie od pierwszej i kończy na ostatniej stronie. Pominięcie wskazania :ostatniej strony oznacza do końca pliku. Przy szacowaniu liczby pomijanych stron każdy znak wysuwu strony w pliku wejściowym daje nową stronę. Numeracja stron z opcją +pierwsza i bez niej jest identyczna. Domyślnie, numerowanie rozpoczyna się od pierwszej strony pliku wejściowego (a nie pierwszej strony wynikowej). Numerowanie linii można zmienić opcją -N.

-kolumn, --columns=kolumn
    Dla każdego pliku tworzy zadaną ilość kolumn wyjścia (domyślnie 1) i wypełnia je pionowo, chyba że użyto opcji -a. Szerokość kolumny jest automatycznie zmniejszana wraz ze wzrostem liczby kolumn, chyba że użyto równocześnie opcji -W/-w do zmiany szerokości strony. Opcja ta może spowodować obcięcie niektórych linii. Na każdej stronie wyrównywana jest liczba linii w kolumnach. Dla wyjścia wielokolumnowego włączone są opcje -e i -i. Przy połączeniu z opcją -J wyrównywanie kolumn i ucinanie linii są wyłączane. Linie pełnej długości są łączone w formacie pól swobodnych a opcją -S można wyznaczyć separatory pól. Opcja -kolumn nie może być stosowana z opcją -m.

-a, --across
    Dla każdego pliku, wypisuje kolumny w poprzek, nie w dół. Musi być podana opcja -kolumn z liczbą kolumn większą od 1. Jeżeli linia jest zbyt długa, by zmieścić się w kolumnie, to jest obcinana.

-c, --show-control-chars
    Wypusje znaki kontrolne używając notacji z daszkiem (np. '^G'), zaś inne niedrukowalne znaki w notacji ósemkowej z odwrotnym ukośnikiem. Domyślnie znaki niedrukowalne nie są zmieniane.

-d, --double-space
    Używa podwójnych odstępów [między liniami] w wyniku.

-e[znak-tab-wej[szer-tab-wej]]
--expand-tabs[=znak-tab-wej[szer-tab-wej]]
    Rozwija tabulacje na spacje w wejściu. Opcjonalny argument znak-tab-wej to wejściowy znak tabulacji, domyślnie TAB. Drugi opcjonalny argument szer-tab-wej to szerokość znaków tabulacji w wejściu, domyślnie 8.

-F, -f, --form-feed
    Używa znaku końca strony, a nie znaków nowej linii, do rozdzielania stron wynikowych. Domyślna długość strony (66 linii) nie jest zmieniana, ale liczba linii tekstu na stronie zmienia się z domyślnych 56 na 63.

-h nagłówek, --header=nagłówek
    Zastępuje nazwę pliku w nagłówku wypośrodkowanym łańcuchem nagłówek. Może wystąpić ucięcie lewej strony (zaznaczone przez '*'), jeśli cała linia nagłówka `yyyy-mm-dd HH:MM nagłówek Page nnnn' będzie większa niż szerokość strony. -h daje w wyniku pustą linię nagłówka. Proszę nie używać -h"". Odstęp pomiędzy -h a argumentem jest zawsze konieczny.

-i[znak-tab-wyj[szer-tab-wyj]]
--output-tabs[=znak-tab-wyj[szer-tab-wyj]]
    Zastępuje spacje tabulacjami w wyjściu. Opcjonalny argument znak-tab-wyj to wyjściowy znak tabulacji, domyślnie TAB. Drugi opcjonalny argument szer-tab-wyj to szerokość znaków tabulacji w wyjściu, domyślnie 8.

-J, --join-lines
    Łączy linie pełnej długości. Używane razem z opcjami dotyczącymi kolumn -kolumn, -a -kolumn lub -m. Wyłącza ucinanie linii przez -W/-w. Nie jest wykonywane wyrównywanie kolumn. Można używać w połączeniu z -S[łańcuch]. Opcję -J wprowadzono (razem z -W i -S) w celu rozplątania starych (zgodnych z POSIX) opcji -w i -s z powyższymi trzema opcjami kolumnowymi.

-l dług-strony, --length=dług-strony
    Ustawia długość strony na dług-strony linii, łącznie z liniami nagłówka i stopki. Wartość domyślna to 66. Jeśli dług-strony jest mniejsza lub równa 10 (zaś <=3 z -F), pomijane są nagłówki i stopki oraz usuwane są wszystkie ustawienia zmiany strony z plików wejściowych, tak jak gdyby została podana opcja -T.

-m, --merge
    Scala i wypisuje wszystkie pliki równolegle, jeden w każdej kolumnie. Jeśli linia nie mieści się w kolumnie, to jest ucinana, chyba że podano opcję -J. Można wykorzystać -S[łańcuch]. Puste strony niektórych plików (ustawione zmiany strony) dają w wyniku puste kolumny, nadal oznakowane łańcuchem. Wynikiem jest ciągła numeracja linii i oznakowanie kolumn w całym scalonym pliku. Całkiem puste połączone strony nie mają ani separatorów ani numerów linii. Domyślny nagłówek zmieniany jest na `yyyy-mm-dd HH:MM <odstępy> Page nnnn'. Do wypełnienia środkowej, pustej jego części można użyć opcji -h nagłówek.

-n[sep-liczb[cyfry]]
--number-lines=[sep-liczb[cyfry]]
    Powoduje poprzedzanie wyniku numerami linii. Opcjonalny argument cyfry to liczba cyfr na numer linii, domyślnie 5. Przy wyjściu wielokolumnowym numer zajmuje pierwsze cyfr pozycji każdej kolumny tekstu. W wyjściu jednokolumnowym oraz przy scalonych plikach (-m) numer poprzedza każdą linię. Domyślnie numeracja linii rozpoczyna się od pierwszej linii pliku wejściowego (nie od pierwszej linii wynikowej, porównaj opcje --page i -N). Opcjonalny argument sep-liczb to znak, który należy wypisać po każdym numerze, dla oddzielenia go od następującego po nim tekstu, domyślnie tabulacja. Ściśle mówiąc, znak tabulacji jest zawsze wpisywany tylko w wyjściu jednokolumnowym. Szerokość tabulacji zmienia się w zależności od jej pozycji, np. zależnie od lewego marginesu określonego przez opcję -o. Przy wyjściu wielokolumnowym priorytetem jest 'równa szerokość kolumn wynikowych' (specyfikacja POSIX). Szerokość tabulacji ustalana jest na wartość z pierwszej kolumny i nie zmienia się z różnymi wartościami lewego marginesu. Znaczy to, że zamiast sep-liczb=TAB wypisywana jest zawsze stała liczba spacji. Tabularyzacja zależy od pozycji w wyjściu.

-N nr-linii, --first-line-number=nr-linii
    Rozpoczyna numerację linii od nr-linii dla pierwszej linii na pierwszej stronie wynikowej (przeważnie nie jest to pierwsza linia pliku wejściowego).

-o lewy-marg, --indent=lewy-marg
    Wysuwa każdą linię o margines szeroki na lewy-marg spacji (domyślnie zero). Całkowita szerokość strony to owo wcięcie plus szerokość strony ustawiona opcją -W/-w. Przy numerowanym wyjściu jednokolumnowym (por.opcja -n) może pojawić się ograniczony nadmiar.

-r, --no-file-warnings
    Nie wypisuje komunikatu ostrzegawczego kiedy nie można otworzyć pliku będącego argumentem. Nieudane otwarcie pliku ciągle jednak ustawia kod zakończenia na niezerowy.

-s[sep], --separator[=sep]
    Oddziela kolumny pojedynczym znakiem sep. Domyślnie, bez opcji -w jest to tabulacja, z opcją -w 'brak znaku'. Bez -s domyślnym separatorem jest spacja.Opcja ta wyłącza obcinanie linii we wszystkich trzech opcjach dotyczących kolumn ( -kolumn, -a -kolumn, -m), chyba że jawnie włączone jest -w. Jest to zgodne z regulacjami POSIX.

-S[łańcuch], --sep-string[=łańcuch]
    `-S[STRING]' `--sep-string[=STRING]' Oddziela kolumny łańcuchem łańcuch. Opcja ta, w odróżnieniu od -s nie ma wpływu na działanie -W/-w. Nie wpływa na obcinanie linii czy wyrównywanie kolumn. Jeśli -S nie jest ustawiona a posłużono się -J, to użyty zostanie domyślny separator, tabulacja. Jeśli żadna z nich nie jest ustawiona to separatorem jest spacja (tak samo jak przy -S" "). Podanie -S bez łańcucha jest równoważne -S"". Zauważ, że w niektórych z jednoliterowych opcji polecenia pr odpowiedni argument musi wystąpić bezpośrednio po nazwie opcji. Nie można używać rozdzielających spacji. -S/-s to jeden z takich przypadków. Proszę nie używać -S" łańcuch". Tego wymaga POSIX.

-t, --omit-header
    Nie wypisuje nagłówka i stopki znajdujących się zwykle na każdej stronie, i nie wypełnia dołów strony (linami pustymi lub znakami nowej strony). Nie jest tworzona struktura strony, ale ustawienia zmian strony z plików wejściowych są zachowywane. Nie jest zmieniane predefiniowane stronicowanie. -t lub -T mogą być przydatne z innymi opcjami, np. -t -e4 rozwija znaki tabulacji pliku wejściowego do 4 spacji, ale nie wykonuje innych zmian. Użycie -t przesłania opcję -h.

-T, --omit-pagination
    Nie wypisuje nagłówka i stopki. Oprócz tego ignoruje wszystkie zmiany strony ustawiane w plikach wejściowych.

-v, --show-nonprinting
    Wypisuje znaki niedrukowalne w notacji ósemkowej z odwrotnym ukośnikiem.

-w szer-strony, --width=szer-strony
    Ustawia szerokość strony na szer-strony znaków -- tylko dla wyjścia wielokolumnowego. Wartość domyślna to 72. -s[sep] wyłącza domyślną szerokość strony, obcinanie linii i wyrównywanie kolumn. Linie pełnej długości są scalane, bez względu na ustawienia opcji kolumn. Możliwe jest nieustawienie szerokości strony przy wyjściu jednokolumnowym. Zgodne z regulacjami POSIX.

-W szer-strony, --page-width=szer-strony
    Ustawia szerokość strony na szer-strony znaków (domyślnie 72). Obowiązuje zarówno z opcjami kolumnowymi jak i bez nich. Linie tekstu są obcinane, chyba że podano -J. Łącznie z jedną z trzech opcji dotyczących kolumn ( -kolumn, -a -kolumn, -m) zawsze stosowane jest wyrównywanie kolumn. Opcje separatora -S czy -s nie mają wpływu na -W. Jeżeli nie użyto ani tej opcji ani żadnej z opcji kolumnowych, to nie jest stosowane żadne obcinanie linii (zdefiniowane w celu utrzymania zgodności wstecznej i spełniania najczęstszych zadań). Jest to równoważne ustawieniu -W 72 -J. Zarówno z opcją -W, jak i bez niej, nagłówek jest zawsze obcinany dla uniknięcia nadmiaru.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
fmt(1), fold(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.